package com.yidianling.im.session.viewholder;

import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.yidianling.common.tools.ToastUtil;
import com.yidianling.im.R;
import com.yidianling.im.session.extension.CustomAttachLingxiWhichQuestion;
import com.yidianling.im.session.extension.CustomAttachmentOrderStatus;
import com.yidianling.im.session.viewholder.adapter.AdapterLingxiWhichQuestion;
import com.yidianling.im.session.viewholder.bean.LingxiWhichQuestionBean;
import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter;
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase;

import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;

public class MsgViewHolderLingxiWhichQuestion extends MsgViewHolderBase implements AdapterLingxiWhichQuestion.OnQuestionlItemClickListener {
    private RecyclerView recycleviewWhichQuestion;
    private AdapterLingxiWhichQuestion adapterLingxiWhichQuestion;
    ArrayList<String> questionList = new ArrayList<String>();
    Integer maxItemSize = 6;
    Boolean isSingleChoice=true;
    public MsgViewHolderLingxiWhichQuestion(BaseMultiItemFetchLoadAdapter adapter) {
        super(adapter);
    }

    @Override
    protected int getContentResId() {
        CustomAttachLingxiWhichQuestion customAttachLingxiWhichQuestion = ((CustomAttachLingxiWhichQuestion) message.getAttachment());
        switch (customAttachLingxiWhichQuestion.getType()){
            case 1://您想要咨询下列哪类的问题？（单选）
                return R.layout.im_nim_lingxi_which_question;
            case 2://请问是发生了什么事情导致的呢？（多选）
                return R.layout.im_nim_lingxi_multiple_choice;
            case 3:
                return R.layout.im_nim_lingxi_which_question;
            case 4:
                return R.layout.im_nim_lingxi_which_question;
            default:
                return R.layout.im_nim_lingxi_which_question;
        }
    }

    @Override
    protected void inflateContentView() {
        recycleviewWhichQuestion = findViewById(R.id.which_question_rv);

    }

    @Override
    protected void bindContentView() {
        questionList.add("aaa");
        questionList.add("aaa");
        questionList.add("aaa");
        questionList.add("aaa");
        questionList.add("aaa");
        questionList.add("aaa");

        adapterLingxiWhichQuestion = new AdapterLingxiWhichQuestion();
        adapterLingxiWhichQuestion.setTagData(questionList);

        GridLayoutManager gridLayoutManager = new GridLayoutManager(context, 2);
        //当list中字段大于6个显示单行，否则显示双行
        gridLayoutManager.setSpanCount(maxItemSize > 6 ? 1 : 2);
        gridLayoutManager.setOrientation(LinearLayoutManager.VERTICAL);
        recycleviewWhichQuestion.setLayoutManager(gridLayoutManager);
        recycleviewWhichQuestion.setAdapter(adapterLingxiWhichQuestion);
    }

    @Override
    public void onItemClick(@NotNull LingxiWhichQuestionBean string, int position) {
        ToastUtil.toastShort("点击了" + position);
        //todo发送消息
    }
}
